Page MenuHomePhabricator

reprepro: Support for buildinfo files / dbgsym packages
Closed, ResolvedPublic

Description

Trying to import a stretch build on install1002, the following error message is shown:

# reprepro -C main include stretch-wikimedia kubernetes_1.4.6-6_amd64.changes
Unknown file type: 'ed6d1a8bd615bef30ca0002d8c61bec2 6299 admin optional kubernetes_1.4.6-6_amd64.buildinfo', assuming source format...
'/srv/wikimedia/pool/main/k/kubernetes/kubernetes-node-dbgsym_1.4.6-6_amd64.deb' has packagename 'kubernetes-node-dbgsym' not listed in the .changes file!

Support for dbgsym packages was added in

reprepro (4.17.0-1) unstable; urgency=medium
  - add support for -dbgsym packages (Closes: #808558)

Support for buildinfo files was added in

reprepro (5.0.0-1) experimental; urgency=medium
  - add support for .buildinfo in .changes files (Closes: #843402)

The reprepro version in stretch contains both changes already.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2017, 7:50 AM
MoritzMuehlenhoff triaged this task as Medium priority.May 9 2017, 7:51 AM
MoritzMuehlenhoff updated the task description. (Show Details)
MoritzMuehlenhoff added a project: Operations.

reprepro on install* has been upgraded to 5.1.1 which supports buildinfo and dbgsym files (same version is in stretch, so this will also work fine when we upgrade the repos to stretch).

So this adds support for dbgsym on apt.wikimedia.org (we actually already have a few dbgsym packages there, which had been imported with some override option in reprepro). Now the next step is to enable the Debian debug archive for stretch onwards.

@faidon : We currently don't mirror debian-debug on sodium. I'm not sure what the size requirements are (or whether external mirrors are actually sought), do you know more?

If we don't mirror it, we can simply add

deb http://deb.debian.org/debian-debug/ stretch-debug main

Change 356822 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add debug repository for stretch onwards

https://gerrit.wikimedia.org/r/356822

ema added a subscriber: ema.Feb 14 2020, 8:32 AM
ema awarded a token.Jun 29 2020, 11:57 AM

Change 633172 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add an apt proxy config for deb.debian.org

https://gerrit.wikimedia.org/r/633172

Change 633172 merged by Muehlenhoff:
[operations/puppet@production] Add an apt proxy config for deb.debian.org

https://gerrit.wikimedia.org/r/633172

Change 636040 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add debian-debug repository

https://gerrit.wikimedia.org/r/636040

Change 636040 merged by Muehlenhoff:
[operations/puppet@production] Add debian-debug repository

https://gerrit.wikimedia.org/r/636040

MoritzMuehlenhoff closed this task as Resolved.Oct 26 2020, 12:02 PM

dbgsym files are supported in reprepro for quite a while now and as of today, we can also install dbgsym packages from the Debian archive. Closing.

Change 356822 abandoned by Muehlenhoff:
[operations/puppet@production] Add debug repository for stretch onwards

Reason:
Replaced by later patch

https://gerrit.wikimedia.org/r/356822